import React from 'react';
import { connect } from 'umi';
import SystemPermissionInfoComponent from '../../../components/JurisdictionAllotEvent/SystemPermissionInfo';

function SystemPermissionInfo({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }
  const systemPermissionInfoProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <SystemPermissionInfoComponent {...systemPermissionInfoProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(SystemPermissionInfo);
